Package com.io7m.waxmill.xml.vm.v1

# Enum WXM1DeviceSlots.SlotSide

java.lang.Object
java.lang.Enum<WXM1DeviceSlots.SlotSide>
com.io7m.waxmill.xml.vm.v1.WXM1DeviceSlots.SlotSide

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXM1DeviceSlots.SlotSide>`, `java.lang.constant.Constable`

Enclosing class:
  WXM1DeviceSlots

    public static enum WXM1DeviceSlots.SlotSide
    extends java.lang.Enum<WXM1DeviceSlots.SlotSide>

The side of emulation upon which the device slot lives.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `GUEST` | The slot is a guest PCI slot.
  `HOST` | The slot is a host PCI slot.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXM1DeviceSlots.SlotSide` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXM1DeviceSlots.SlotSide[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOST

    public static final WXM1DeviceSlots.SlotSide HOST
    The slot is a host PCI slot.

  - ### GUEST

    public static final WXM1DeviceSlots.SlotSide GUEST
    The slot is a guest PCI slot.

- ## Method Details

  - ### values

    public static WXM1DeviceSlots.SlotSide[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXM1DeviceSlots.SlotSide valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null